.event-pointer {
    position: absolute;
    z-index: 1;
    height: 100%;
    border-left: 2px solid red;
    margin-left: -1px;
    top: inherit;
    transition: left 1s ease-in-out;
    cursor: help;
}
.event-pointer-time {
    position: absolute;
    background: red;
    color: white;
    font-weight: bold;
    padding: 2px 6px;
    margin-left: -2px;
    white-space: nowrap;
}